> ## Documentation Index
> Fetch the complete documentation index at: https://whitebit-mintlify-seo-descriptions-1775434197.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Convert History

> Retrieve the history of currency conversion operations on WhiteBIT via the V4 API.



## OpenAPI

````yaml /openapi/private/http-trade-v4.yaml POST /api/v4/convert/history
openapi: 3.0.3
info:
  title: Private HTTP API V4 - Collateral Trading
  description: |
    WhiteBIT Private HTTP API V4 for collateral/margin trading operations.

    Base URL: https://whitebit.com

    All endpoints return time in Unix-time format.
    All endpoints return either a JSON object or array.
    For receiving responses from API calls please use http method POST.

    Authentication required for all endpoints.
  version: 4.0.0
  license:
    name: WhiteBIT Terms of Service
    url: https://whitebit.com/terms
servers:
  - url: https://whitebit.com
    description: WhiteBIT Global Server
  - url: https://whitebit.eu
    description: WhiteBIT EU Server
security:
  - ApiKeyAuth: []
    PayloadAuth: []
    SignatureAuth: []
tags:
  - name: Collateral Trading
    description: Endpoints for collateral/margin trading operations
  - name: Spot Trading
    description: Endpoints for spot trading operations
  - name: Market Fee
    description: Endpoints for querying trading fees
paths:
  /api/v4/convert/history:
    post:
      summary: Convert History
      description: >
        The endpoint returns convert history.


        <Warning>

        Rate limit: 10000 requests/10 sec.

        </Warning>

        **Note:** The endpoint can retrieve data not older than 6 months from
        the current month. For older data, use the Report on the History page.
      operationId: convertHistory
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                fromTicker:
                  type: string
                  description: 'From currency. Example: BTC'
                  example: BTC
                toTicker:
                  type: string
                  description: 'To currency. Example: USDT'
                  example: USDT
                from:
                  type: string
                  description: 'From time filter. Example: 1699260637. Default: now()'
                  example: '1699260637'
                to:
                  type: string
                  description: 'To time filter. Example: 1699260637. Default: now() +'
                  example: '1699260637'
                quoteId:
                  type: string
                  description: 'Quote Id. Example: 4050'
                  example: '4050'
                limit:
                  type: string
                  description: 'How many records to receive. Default: 100'
                  example: '100'
                offset:
                  type: string
                  description: Amount to convert or receive. Default 0
                  example: '0'
                nonce:
                  type: integer
                  description: Nonce for request
                  example: 1699260637
                request:
                  type: string
                  description: Request path
                  example: '{{request}}'
            example:
              fromTicker: BTC
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  records:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Convert record ID
                          example: '4030'
                        date:
                          type: integer
                          description: Conversion timestamp
                          example: 1699020642
                        give:
                          type: string
                          description: Amount given
                          example: '0.00002901'
                        receive:
                          type: string
                          description: Amount received
                          example: '1'
                        rate:
                          type: string
                          description: Conversion rate
                          example: '34470.87211306'
                        path:
                          type: array
                          items:
                            type: object
                            properties:
                              from:
                                type: string
                                example: BTC
                              to:
                                type: string
                                example: USDT
                              rate:
                                type: string
                                example: '34470.87211306'
                  total:
                    type: integer
                    description: Total number of records
                    example: 4
                  limit:
                    type: integer
                    description: Limit used in request
                    example: 1
                  offset:
                    type: integer
                    description: Offset used in request
                    example: 0
        '400':
          description: Inner validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                fromTickerInvalid:
                  summary: FromTicker Invalid
                  value:
                    code: 30
                    message: Validation failed
                    errors:
                      fromTicker:
                        - fromTicker is invalid.
                toTickerInvalid:
                  summary: ToTicker Invalid
                  value:
                    code: 30
                    message: Validation failed
                    errors:
                      toTicker:
                        - toTicker is invalid.
      security:
        - ApiKeyAuth: []
          PayloadAuth: []
          SignatureAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        code:
          type: integer
          description: Error code
          example: 30
        message:
          type: string
          description: Error message
          example: Validation failed
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Detailed error information
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-TXC-APIKEY
      description: The public WhiteBIT API key.
    PayloadAuth:
      type: apiKey
      in: header
      name: X-TXC-PAYLOAD
      description: Base64-encoded JSON request body.
    SignatureAuth:
      type: apiKey
      in: header
      name: X-TXC-SIGNATURE
      description: >-
        HMAC-SHA512 signature of the payload, hex-encoded. Computed as
        hex(HMAC-SHA512(payload, api_secret)).

````